XpRehashPrinterList(3Xp)

NAME
XpRehashPrinterList - Recomputes the list of available printers.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

void XpRehashPrinterList ( display )
      Display *display;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

DESCRIPTION

XpRehashPrinterList causes the X Print Server to recompute (update) its list of available printers, and update the attributes for the printers. The intended usage of this routine is in a special tool that a system administrator can run after changing the printer topology. General applications are encouraged to use this call sparingly if at all, and let the system administrator control printer topology updates.

Depending on the print facilities underlying the X Print Server, the X Print Server may be able to detect changes in the printer topology and dynamically update to reflect the changes, or may not be able to detect the changes and will have to be notified via XpRehashPrinterList. Existing print contexts will not be affected by XpRehashPrinterList as long as their printer destination remains valid.